DomDocumentType->public_id
DomElement->get_attribute_node
DOM XML (PHP 4) Functions
PHP Manual

# DomDocumentType->system_id

(PHP 4 >= 4.1.0)

DomDocumentType->system_id — Returns the system id of document type

### Description

DomDocumentType
string system_id ( void )

Returns the system id of the document type.

### Return Values

Returns the system id of the DomDocumentType, as a string.

### Examples

Example #1 Retrieving the system id

`<?php
include("example.inc");
if (!$dom = domxml_open_mem($xmlstr)) {
echo "Error while parsing the document\n";
exit;
}
$doctype = $dom->doctype();
echo $doctype->system_id();
?>`

The above example will output:

    /share/sgml/Norman_Walsh/db3xml10/db3xml10.dtd

### Migrating to PHP 5

Use the systemId property of the DOMDocumentType object.

DomDocumentType->public_id
DomElement->get_attribute_node
DOM XML (PHP 4) Functions
PHP Manual